
package shub.dpm;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class allgfnkt implements IRemote{
	public static allgfnkt mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public allgfnkt() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
     private static PCBA pcBA = new PCBA(null, allgfnkt.class);
    static {
		mostCurrent = new allgfnkt();
        remoteMe = RemoteObject.declareNull("shub.dpm.allgfnkt");
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("allgfnkt"), "shub.dpm.allgfnkt");
        RDebug.INSTANCE.eventTargets.put(new DeviceClass("shub.dpm.allgfnkt"), new java.lang.ref.WeakReference<PCBA> (pcBA));
	}
   
	public static RemoteObject runMethod(boolean notUsed, String method, Object... args) throws Exception{
		return (RemoteObject) pcBA.raiseEvent(method.substring(1), args);
	}
    public static void runVoidMethod(String method, Object... args) throws Exception{
		runMethod(false, method, args);
	}
	public PCBA create(Object[] args) throws ClassNotFoundException{
        throw new RuntimeException("CREATE is not supported.");
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _patid = RemoteObject.createImmutable("");
public static RemoteObject _pid = RemoteObject.createImmutable("");
public static RemoteObject _surl = RemoteObject.createImmutable("");
public static RemoteObject _resettimerinterval = RemoteObject.createImmutable(0);
public static RemoteObject _jobname = RemoteObject.createImmutable("");
public static RemoteObject _patname = RemoteObject.createImmutable("");
public static RemoteObject _jobenabled = RemoteObject.createImmutable(false);
public static RemoteObject _searchstring = RemoteObject.createImmutable("");
public static RemoteObject _apikey = RemoteObject.createImmutable("");
public static RemoteObject _resultlist = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
public static shub.dpm.main _main = null;
public static shub.dpm.parameter _parameter = null;
public static shub.dpm.about _about = null;
public static shub.dpm.barcodescanner _barcodescanner = null;
public static shub.dpm.listpat _listpat = null;
public static shub.dpm.endecodetester _endecodetester = null;
public static shub.dpm.jobservice _jobservice = null;
public static shub.dpm.listdata _listdata = null;
public static shub.dpm.starter _starter = null;
public static shub.dpm.b4xpages _b4xpages = null;
public static shub.dpm.b4xcollections _b4xcollections = null;
public static shub.dpm.httputils2service _httputils2service = null;
  public Object[] GetGlobals() {
		return new Object[] {"About",Debug.moduleToString(shub.dpm.about.class),"apikey",allgfnkt._apikey,"B4XCollections",Debug.moduleToString(shub.dpm.b4xcollections.class),"B4XPages",Debug.moduleToString(shub.dpm.b4xpages.class),"BarcodeScanner",Debug.moduleToString(shub.dpm.barcodescanner.class),"EnDecodeTester",Debug.moduleToString(shub.dpm.endecodetester.class),"HttpUtils2Service",Debug.moduleToString(shub.dpm.httputils2service.class),"JobEnabled",allgfnkt._jobenabled,"Jobname",allgfnkt._jobname,"JobService",Debug.moduleToString(shub.dpm.jobservice.class),"ListData",Debug.moduleToString(shub.dpm.listdata.class),"ListPat",Debug.moduleToString(shub.dpm.listpat.class),"Main",Debug.moduleToString(shub.dpm.main.class),"Parameter",Debug.moduleToString(shub.dpm.parameter.class),"PatID",allgfnkt._patid,"PatName",allgfnkt._patname,"PID",allgfnkt._pid,"ResettimerInterval",allgfnkt._resettimerinterval,"resultlist",allgfnkt._resultlist,"Searchstring",allgfnkt._searchstring,"Starter",Debug.moduleToString(shub.dpm.starter.class),"sURL",allgfnkt._surl};
}
}